'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-8f9a8751.js');
var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('reakit-utils/shallowEqual');
require('react');
require('reakit-utils/useForkRef');
require('reakit-utils/isButton');
require('reakit-warning');
require('reakit-utils/useLiveRef');
require('reakit-utils/isSelfTarget');
require('reakit-utils/useIsomorphicEffect');
require('reakit-utils/hasFocusWithin');
require('reakit-utils/isPortalEvent');
require('reakit-utils/getActiveElement');
require('reakit-utils/canUseDOM');
require('reakit-utils/tabbable');
require('../Role/Role.js');
require('../Tabbable/Tabbable.js');
require('../Clickable/Clickable.js');
require('reakit-utils/getDocument');
require('../getCurrentId-eade2850.js');
require('../__keys-3b597476.js');
require('reakit-utils/isTextField');
require('reakit-utils/ensureFocus');
require('../Id/IdProvider.js');
require('../Id/Id.js');
require('../setTextFieldValue-fc0d2717.js');
var Composite_CompositeItem = require('../Composite/CompositeItem.js');
var __keys = require('../__keys-d2d383f0.js');

var unstable_useGridCell = createHook.createHook({
  name: "GridCell",
  compose: Composite_CompositeItem.useCompositeItem,
  keys: __keys.GRID_CELL_KEYS,
  useProps: function useProps(_, htmlProps) {
    return _rollupPluginBabelHelpers._objectSpread2({
      role: "gridcell"
    }, htmlProps);
  }
});
var unstable_GridCell = createComponent.createComponent({
  as: "span",
  memo: true,
  useHook: unstable_useGridCell
});

exports.unstable_GridCell = unstable_GridCell;
exports.unstable_useGridCell = unstable_useGridCell;
